Page MenuHomePhabricator

[llvm][NFC] TensorSpec abstraction for ML evaluator
ClosedPublic

Authored by mtrofin on Jul 27 2020, 11:09 AM.

Details

Summary

Further abstracting the specification of a tensor, to more easily
support different types and shapes of tensor, and also to perform
initialization up-front, at TFModelEvaluator construction time.

Diff Detail

Event Timeline

mtrofin created this revision.Jul 27 2020, 11:09 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 27 2020, 11:09 AM
mtrofin updated this revision to Diff 280986.Jul 27 2020, 11:14 AM

Removed a spurious empty line and an unnecessary friend relationship.

davidxl added inline comments.Jul 28 2020, 3:43 PM
llvm/include/llvm/Analysis/Utils/TFUtils.h
39

document the class briefly?

mtrofin updated this revision to Diff 281459.Jul 28 2020, 8:53 PM

Doc for TensorSpec

mtrofin marked an inline comment as done.Jul 28 2020, 8:54 PM
ebrevdo requested changes to this revision.Jul 29 2020, 1:46 PM
ebrevdo added inline comments.
llvm/lib/Analysis/TFUtils.cpp
136

OutputSpec

163

InputSpec

170

OutputSpec

202–203

OutputSpec

This revision now requires changes to proceed.Jul 29 2020, 1:46 PM
mtrofin updated this revision to Diff 281750.Jul 29 2020, 3:20 PM
mtrofin marked 4 inline comments as done.

var renames

ebrevdo accepted this revision.Jul 29 2020, 3:23 PM

LGTM

This revision is now accepted and ready to land.Jul 29 2020, 3:23 PM
This revision was landed with ongoing or failed builds.Jul 29 2020, 4:29 PM
This revision was automatically updated to reflect the committed changes.